Bug 85651 - Writer crashes when a MailMerge instance is created in C#
Summary: Writer crashes when a MailMerge instance is created in C#
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 105941 (view as bug list)
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2014-10-30 14:06 UTC by APS
Modified: 2019-06-15 02:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwCache::Delete(void const *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description APS 2014-10-30 14:06:56 UTC
Writer crashes on close everytime I open a document, manually or programmatically, after having created an instance of a MailMerge object using CLI-uno.

Step to reproduce:
- Create a small C# app that does the following:

            XComponentContext context = Bootstrap.bootstrap();
            XMultiServiceFactory msf = (XMultiServiceFactory)context.getServiceManager();

            //Create the Mail Merge service
            object mailMerge = msf.createInstance("com.sun.star.text.MailMerge");
            ((XComponent)mailMerge).dispose();

            //Open document
            XComponentLoader componentLoader = (XComponentLoader)msf.createInstance("com.sun.star.frame.Desktop");
            componentLoader.loadComponentFromURL(new Uri(System.Environment.CurrentDirectory + @"/test/test1.odt").AbsoluteUri, "_blank", 0, new PropertyValue[] { });

- Close writer.
- You receive an error. Inside Event Viewer you find:

Faulting application name: soffice.bin, version: 4.3.1.2, time stamp: 0x53fc7a22
Faulting module name: KERNELBASE.dll, version: 6.1.7601.18409, time stamp: 0x53159a86
Exception code: 0x00000000
Fault offset: 0x0000c42d
Faulting process id: 0x159c
Faulting application start time: 0x01cff446b33c683d
Faulting application path: C:\Program Files (x86)\LibreOffice 4\program\soffice.bin
Faulting module path: C:\Windows\syswow64\KERNELBASE.dll
Report Id: f895de58-6039-11e4-b725-047d7b95035d

The same error is thrown even if you open a document manually, without using loadComponentFromURL but keeping the test program opened.
Comment 1 APS 2014-10-30 15:58:09 UTC
The problem is present also in version 4.3.2 and 4.3.3. With version 4.3.3 is possible to enable Quickstart and with this feature the error doesn't show up.
The strange thing is that I tested many PCs and configuration and only in a couple of PCs I'm not able to reproduce the error, maybe is related to some library installed there.
Comment 2 QA Administrators 2015-01-05 18:41:54 UTC
Hi APS - can you please attach a document and the small C# app that you describe. It's always easier to reproduce if you attach all relevant attachments and then provide simple steps on how to reproduce.

Also, do you happen to know if this was a problem prior to 4.1? 

Marking as NEEDINFO -once you provide the attachments please set to UNCONFIRMED. Thanks!
Comment 3 QA Administrators 2015-02-11 19:57:45 UTC Comment hidden (obsolete)
Comment 4 Simone 2017-02-13 09:38:53 UTC
I get the same issue: https://bugs.documentfoundation.org/show_bug.cgi?id=105941

Code to reproduce: https://github.com/biasso/LibreOffice_MailMerge
Comment 5 Buovjaga 2017-02-14 11:12:16 UTC
*** Bug 105941 has been marked as a duplicate of this bug. ***
Comment 6 Buovjaga 2017-02-14 11:13:46 UTC
See the crash report for bug 105941
Comment 7 Simone 2017-06-24 14:52:40 UTC
After updating to LibreOffice 5.3.4 I get a different crash report using the code of comment 4: http://crashreport.libreoffice.org/stats/crash_details/8fb821b6-1948-494a-9016-81c6db119497
Comment 8 QA Administrators 2019-06-15 02:59:41 UTC
Dear APS,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug